From: Dale Richards <dale@dalerichards.net>
Date: Sat, 30 Dec 2023 16:18:05 -0500
Subject: setup.py: Use LDFLAGS from environment

---
 setup.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Index: pylsqpack/setup.py
===================================================================
--- pylsqpack.orig/setup.py
+++ pylsqpack/setup.py
@@ -1,5 +1,6 @@
 import os.path
 import sys
+from os import environ
 
 import setuptools
 from wheel.bdist_wheel import bdist_wheel
@@ -12,7 +13,7 @@ include_dirs = [
 if sys.platform == "win32":
     include_dirs.append(os.path.join("vendor", "ls-qpack", "wincompat"))
 else:
-    extra_compile_args = ["-std=c99"]
+    extra_compile_args = ["-std=c99", environ.get("LDFLAGS")]
 
 
 class bdist_wheel_abi3(bdist_wheel):
